Skip to main content
GET
/
pos
/
{posSystemId}
/
loyaltyCard
/
location
/
{posLocationId}
Get loyalty cards
curl --request GET \
  --url https://public-api-demo.clearline.me/pos/{posSystemId}/loyaltyCard/location/{posLocationId} \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "code": "<string>",
      "url": "<string>",
      "status": "<string>",
      "name": "<string>",
      "title": "<string>",
      "description": "<string>",
      "type": "pointcard or stampcard",
      "amountOfStamps": 123,
      "amountOfPoints": 123,
      "frontImage": "<string>",
      "logo": "<string>",
      "locations": [
        {
          "id": "<string>",
          "name": "<string>",
          "street": "<string>",
          "zip": "<string>",
          "city": "<string>",
          "state": "<string>",
          "country": "<string>",
          "email": "<string>",
          "phone": "<string>",
          "website": "<string>",
          "hours": "<string>",
          "latitude": 123,
          "longitude": "<string>",
          "online": 123,
          "password": "<string>"
        }
      ],
      "loyaltyCardType": 1
    }
  ],
  "page": {
    "page": 123,
    "pageSize": 123,
    "total": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.clearline.me/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Enter JWT Bearer token only in the text input below.

Path Parameters

posSystemId
string
required

Pos System Id

posLocationId
string
required

Pos Location Id

Response

Success

data
object[] | null
page
object